// 导入axios实例
import httpRequest from '@/request/index'

// 导出数据接口
export function apiGetExportMsg(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        responseType: 'blob',
        params: params
    })
}
// 导出模版接口
export function apiGetModel(url, params) {
    return httpRequest({
        url: url,
        method: 'get',
        params: params
    })
}

//----------------------------------------登录页接口------------------------------------------------

// 获取验证码
export function apiGetUserInfo() {
    return httpRequest({
        url: 'captchaImage',
        method: 'get'
    })
}
// 登录接口
export function toLoginApi(params) {
    return httpRequest({
        url: 'toLogin',
        method: 'post',
        params: params
    })
}
// 天气Api接口
export function apiGetWeather(params) {
    return httpRequest({
        url: 'predict/api/wfc/getWeatherForecastDataOne',
        method: 'get',
        params: params
    })
}

//----------------------------------------对标业务------------------------------------------------
//----------------------------------------考评业务------------------------------------------------
//----------------------------------------对标考评知识库------------------------------------------------
//----------------------------------------对标体系配置------------------------------------------------
//----考评指标管理
//----"指标-查询"
export function apiGetIndicatorList(params) {
    return httpRequest({
        url: 'indicator/list',
        method: 'get',
        params: params
    })
}
//----"指标-新增/修改"
export function apiGetIndicatorSave(params) {
    return httpRequest.post('indicator/save', params)
}
//----"指标-删除"
export function apiGetIndicatorDelete(params) {
    return httpRequest({
        url: `indicator/remove/${params}`,
        method: 'post'
    })
}
//----"指标项-查询"
export function apiGetIndicatordictionaryList(params) {
    return httpRequest({
        url: 'indicator-dictionary/list',
        method: 'get',
        params: params
    })
}
//----"指标项-保存/修改"
export function apiGetIndicatordicsaveList(params) {
    return httpRequest.post('indicator-dictionary/save', params)
}
//----"指标项-删除"
export function apiGetIndicatordicdeleteList(params) {
    return httpRequest({
        url: `indicator-dictionary/remove/${params}`,
        method: 'post'
    })
}
//----"指标项条目-查询"
export function apiGetdataDictionaryList() {
    return httpRequest({
        url: 'data-dictionary/list?superKey=ZBX0001',
        method: 'get'
    })
}
//----考评规则配置
//----考评规则-list
export function apiGetevaluateRuleList(params) {
    return httpRequest({
        url: 'evaluate-rule/list',
        method: 'get',
        params: params
    })
}
//----"规则-保存/修改"
export function apiGetevaluateRuleSaveList(params) {
    return httpRequest.post('evaluate-rule/save', params)
}
//----"规则-删除"
export function apiGetevaluateRuledeleteList(params) {
    return httpRequest({
        url: `evaluate-rule/remove/${params}`,
        method: 'post'
    })
}
//----"规则模块，规则阶段数据"
export function apiGetdatadictionaryList(params) {
    return httpRequest({
        url: 'data-dictionary/list',
        method: 'get',
        params: params
    })
}
//----考评规则详情-list
export function apiGetevaluateRuleinfoList(params) {
    return httpRequest({
        url: 'evaluate-rule-info/list',
        method: 'get',
        params: params
    })
}
//----"规则详情-保存/修改"
export function apiGetevaluateRuleInfoSaveList(params) {
    return httpRequest.post('evaluate-rule-info/save', params)
}
//----"规则详情-删除"
export function apiGetevaluateRuleinfodeleteList(params) {
    return httpRequest({
        url: `evaluate-rule-info/remove/${params}`,
        method: 'post'
    })
}
//----"规则详情中指标数据-list"
export function apiGetindicatorListAll() {
    return httpRequest({
        url: `indicator/listAll`,
        method: 'get'
    })
}
//----------------------------------------基础信息配置------------------------------------------------